UNIT Persist;

{ This is a standalone module that maintains a running total }
{ of the squares of the parameters it receives.               }

INTERFACE

	USES Types, StART;

	FUNCTION Main(parm: Longint): Longint;

IMPLEMENTATION

	{ Define global storage to retain a running }
	{ total over multiple calls to the module.  }

	VAR
		accumulation:		Longint;

	FUNCTION Main(parm: Longint): Longint;

		VAR
			saved:				SaveA5Rec;

		BEGIN
			UseGlobals(saved);
			accumulation := accumulation + (parm * parm);
			Main := accumulation;
			DoneWithGlobals(saved);
		END;
END.
